unit Main;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils,
  System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls,
  Vcl.ExtCtrls, Vcl.Menus, IniFiles;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Button1: TButton;
    Button2: TButton;
    Memo1: TMemo;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    FontDialog1: TFontDialog;
    MainMenu1: TMainMenu;
    FileF1: TMenuItem;
    FontT1: TMenuItem;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FontClick(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private 錾 }
  public
    { Public 錾 }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}



procedure TForm1.Button1Click(Sender: TObject);
begin
  if OpenDialog1.Execute() = TRUE then
  begin
    Memo1.Lines.LoadFromFile(OpenDialog1.FileName);
  end;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  if SaveDialog1.Execute() = TRUE then
  begin
    Memo1.Lines.SaveToFile(SaveDialog1.FileName);
  end;
end;

procedure TForm1.FontClick(Sender: TObject);
begin
  if FontDialog1.Execute() = TRUE then
  begin
    Memo1.Font := FontDialog1.Font;
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
var
  IniFile: TIniFile;
begin
  //{^̃LvVݒ
  Button1.Caption := 'J(&O)';
  Button2.Caption := 'ۑ(&S)';
  Panel1.Caption := '';
  //̓eNA
  Memo1.Lines.Clear;
  //m
  IniFile := TIniFile.Create(ChangeFileExt(ParamStr(0), '.ini'));
  //ݒ
  FontDialog1.Font.Name  :=               IniFile.ReadString('Form', 'FontName', 'lr SVbN');
  FontDialog1.Font.Size  := StrToInt     (IniFile.ReadString('Form', 'FontSize', '12'));
  FontDialog1.Font.Color := StringToColor(IniFile.ReadString('Form', 'FontColor', ColorToString(clBlack)));
  //j
  IniFile.Free;
end;

procedure TForm1.FormDestroy(Sender: TObject);
var
  IniFile: TIniFile;
begin
  //m
  IniFile := TIniFile.Create(ChangeFileExt(ParamStr(0), '.ini'));
  //ݒ
  IniFile.WriteString('Form', 'FontName', FontDialog1.Font.Name);
  IniFile.WriteString('Form', 'FontSize', IntToStr(FontDialog1.Font.Size));
  IniFile.WriteString('Form', 'FontColor', ColorToString(FontDialog1.Font.Color));
  //j
  IniFile.Free;
end;

end.
